︠fd1f4068-c7a1-4d1a-a05b-49914c1edc0c︠
Integer = int
RealNumber = float

def lorenz(t,y,params):
    return [params[0]*(y[1]-y[0]),y[0]*(params[1]-y[2])- y[1],y[0]*y[1]-params[2]*y[2]]

def lorenz_jac(t,y,params):
    return [ [-params[0],params[0],0],[(params[1]-y[2]),-1,-y[0]],[y[1],y[0],-params[2]],[0,0,0]]

T=ode_solver()
T.algorithm="bsimp"
T.function=lorenz
T.jacobian=lorenz_jac
T.ode_solve(y_0=[.5,.5,.5],t_span=[0,155],params=[10,40.5,3],num_points=10000)
l=[T.solution[i][1] for i in range(len(T.solution))]

line3d(l,thickness=0.3, viewer='tachyon', figsize=8)
︡cb17f1a0-5a7b-4f50-918f-ad218463915a︡{"file":{"uuid":"b4d4ee41-75cc-4ff9-bed2-4b4ec796164f","filename":"b4d4ee41-75cc-4ff9-bed2-4b4ec796164f.sage3d"}}︡{"html":"<div align='center'></div>"}︡
︠1214caac-5f25-44dd-8273-1cc53413aafc︠









